VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats:

## Avaliable Methods
public method | get_usmstatsunknownengineids ()
public method | set_outpkts ()
public method | get_outpkts ()
public method | set_inasnparseerrs ()
public method | set_outgenerrs ()
public method | get_usmstatswrongdigests ()
public method | get_outgenerrs ()
public method | get_inasnparseerrs ()
public method | set_outtraps ()
public method | set_avgresponsetime ()
public method | get_worstresponsetime ()
public method | get_outtoobigs ()
public method | set_inbadvalues ()
public method | get_avgvarbinds ()
public method | get_outbadvalues ()
public method | get_inbadcommunitynames ()
public method | new ()
public method | get_maxvarbinds ()
public method | set_usmstatsunknownengineids ()
public method | set_maxvarbinds ()
public method | get_usmstatsunknownusernames ()
public method | get_sysuptime ()
public method | get_inbadcommunityuses ()
public method | set_outnosuchnames ()
public method | set_intoobigs ()
public method | set_inbadcommunitynames ()
public method | get_inbadversions ()
public method | get_usmstatsnotintimewindows ()
public method | set_usmstatsnotintimewindows ()
public method | set_usmstatsunknownusernames ()
public method | set_worstrtimelast ()
public method | set_inbadversions ()
public method | get_usmstatsdecryptionerrors ()
public method | get_innosuchnames ()
public method | get_outtraps ()
public method | set_avgvarbinds ()
public method | set_innosuchnames ()
public method | set_inpkts ()
public method | set_outbadvalues ()
public method | get_inbadvalues ()
public method | get_worstrtimelast ()
public method | get_inpkts ()
public method | get_avgresponsetime ()
public method | set_usmstatsdecryptionerrors ()
public method | set_ingenerrs ()
public method | set_worstresponsetime ()
public method | set_sysuptime ()
public method | set_silentdrops ()
public method | get_silentdrops ()
public method | set_outtoobigs ()
public method | get_intoobigs ()
public method | get_outnosuchnames ()
public method | set_usmstatswrongdigests ()
public method | set_inbadcommunityuses ()
public method | get_ingenerrs ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats` class Structure to provide operators diagnostics on snmp agent itself.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_avgresponsetime | ( |  | ) |

Gets the value of 'avgresponsetime' property.

Return values

  avgresponsetime | - The current value of the field. Average response time String#

Code:
click to view
# Number of lines of code in get_avgresponsetime: 4
sub get_avgresponsetime {
my ($self, %args) = @_;
return $self->{'avgresponsetime'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_avgvarbinds | ( |  | ) |

Gets the value of 'avgvarbinds' property.

Return values

  avgvarbinds | - The current value of the field. No of ave:rage var binds long#

Code:
click to view
# Number of lines of code in get_avgvarbinds: 4
sub get_avgvarbinds {
my ($self, %args) = @_;
return $self->{'avgvarbinds'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_inasnparseerrs | ( |  | ) |

Gets the value of 'inasnparseerrs' property.

Return values

  inasnparseerrs | - The current value of the field. No of parse errors long#

Code:
click to view
# Number of lines of code in get_inasnparseerrs: 4
sub get_inasnparseerrs {
my ($self, %args) = @_;
return $self->{'inasnparseerrs'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_inbadcommunitynames | ( |  | ) |

Gets the value of 'inbadcommunitynames' property.

Return values

  inbadcommunitynames | - The current value of the field. No of bad community names long#

Code:
click to view
# Number of lines of code in get_inbadcommunitynames: 4
sub get_inbadcommunitynames {
my ($self, %args) = @_;
return $self->{'inbadcommunitynames'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_inbadcommunityuses | ( |  | ) |

Gets the value of 'inbadcommunityuses' property.

Return values

  inbadcommunityuses | - The current value of the field. No of bad community uses long#

Code:
click to view
# Number of lines of code in get_inbadcommunityuses: 4
sub get_inbadcommunityuses {
my ($self, %args) = @_;
return $self->{'inbadcommunityuses'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_inbadvalues | ( |  | ) |

Gets the value of 'inbadvalues' property.

Return values

  inbadvalues | - The current value of the field. No of bad values long#

Code:
click to view
# Number of lines of code in get_inbadvalues: 4
sub get_inbadvalues {
my ($self, %args) = @_;
return $self->{'inbadvalues'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_inbadversions | ( |  | ) |

Gets the value of 'inbadversions' property.

Return values

  inbadversions | - The current value of the field. No of bad versions long#

Code:
click to view
# Number of lines of code in get_inbadversions: 4
sub get_inbadversions {
my ($self, %args) = @_;
return $self->{'inbadversions'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_ingenerrs | ( |  | ) |

Gets the value of 'ingenerrs' property.

Return values

  ingenerrs | - The current value of the field. No of gen errors long#

Code:
click to view
# Number of lines of code in get_ingenerrs: 4
sub get_ingenerrs {
my ($self, %args) = @_;
return $self->{'ingenerrs'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_innosuchnames | ( |  | ) |

Gets the value of 'innosuchnames' property.

Return values

  innosuchnames | - The current value of the field. No of no such names long#

Code:
click to view
# Number of lines of code in get_innosuchnames: 4
sub get_innosuchnames {
my ($self, %args) = @_;
return $self->{'innosuchnames'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_inpkts | ( |  | ) |

Gets the value of 'inpkts' property.

Return values

  inpkts | - The current value of the field. No of input packets long#

Code:
click to view
# Number of lines of code in get_inpkts: 4
sub get_inpkts {
my ($self, %args) = @_;
return $self->{'inpkts'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_intoobigs | ( |  | ) |

Gets the value of 'intoobigs' property.

Return values

  intoobigs | - The current value of the field. No of too bigs long#

Code:
click to view
# Number of lines of code in get_intoobigs: 4
sub get_intoobigs {
my ($self, %args) = @_;
return $self->{'intoobigs'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_maxvarbinds | ( |  | ) |

Gets the value of 'maxvarbinds' property.

Return values

  maxvarbinds | - The current value of the field. No of max var binds long#

Code:
click to view
# Number of lines of code in get_maxvarbinds: 4
sub get_maxvarbinds {
my ($self, %args) = @_;
return $self->{'maxvarbinds'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_outbadvalues | ( |  | ) |

Gets the value of 'outbadvalues' property.

Return values

  outbadvalues | - The current value of the field. No of bad values long#

Code:
click to view
# Number of lines of code in get_outbadvalues: 4
sub get_outbadvalues {
my ($self, %args) = @_;
return $self->{'outbadvalues'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_outgenerrs | ( |  | ) |

Gets the value of 'outgenerrs' property.

Return values

  outgenerrs | - The current value of the field. No of gen errors long#

Code:
click to view
# Number of lines of code in get_outgenerrs: 4
sub get_outgenerrs {
my ($self, %args) = @_;
return $self->{'outgenerrs'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_outnosuchnames | ( |  | ) |

Gets the value of 'outnosuchnames' property.

Return values

  outnosuchnames | - The current value of the field. No of no such names long#

Code:
click to view
# Number of lines of code in get_outnosuchnames: 4
sub get_outnosuchnames {
my ($self, %args) = @_;
return $self->{'outnosuchnames'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_outpkts | ( |  | ) |

Gets the value of 'outpkts' property.

Return values

  outpkts | - The current value of the field. No of output packets long#

Code:
click to view
# Number of lines of code in get_outpkts: 4
sub get_outpkts {
my ($self, %args) = @_;
return $self->{'outpkts'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_outtoobigs | ( |  | ) |

Gets the value of 'outtoobigs' property.

Return values

  outtoobigs | - The current value of the field. No out output too bigs long#

Code:
click to view
# Number of lines of code in get_outtoobigs: 4
sub get_outtoobigs {
my ($self, %args) = @_;
return $self->{'outtoobigs'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_outtraps | ( |  | ) |

Gets the value of 'outtraps' property.

Return values

  outtraps | - The current value of the field. No of output traps long#

Code:
click to view
# Number of lines of code in get_outtraps: 4
sub get_outtraps {
my ($self, %args) = @_;
return $self->{'outtraps'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_silentdrops | ( |  | ) |

Gets the value of 'silentdrops' property.

Return values

  silentdrops | - The current value of the field. No of silent drops long#

Code:
click to view
# Number of lines of code in get_silentdrops: 4
sub get_silentdrops {
my ($self, %args) = @_;
return $self->{'silentdrops'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_sysuptime | ( |  | ) |

Gets the value of 'sysuptime' property.

Return values

  sysuptime | - The current value of the field. System uptime String#

Code:
click to view
# Number of lines of code in get_sysuptime: 4
sub get_sysuptime {
my ($self, %args) = @_;
return $self->{'sysuptime'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_usmstatsdecryptionerrors | ( |  | ) |

Gets the value of 'usmstatsdecryptionerrors' property.

Return values

  usmstatsdecryptionerrors | - The current value of the field. No. of decryption errors long#

Code:
click to view
# Number of lines of code in get_usmstatsdecryptionerrors: 4
sub get_usmstatsdecryptionerrors {
my ($self, %args) = @_;
return $self->{'usmstatsdecryptionerrors'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_usmstatsnotintimewindows | ( |  | ) |

Gets the value of 'usmstatsnotintimewindows' property.

Return values

  usmstatsnotintimewindows | - The current value of the field. No of stats not in time window long#

Code:
click to view
# Number of lines of code in get_usmstatsnotintimewindows: 4
sub get_usmstatsnotintimewindows {
my ($self, %args) = @_;
return $self->{'usmstatsnotintimewindows'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_usmstatsunknownengineids | ( |  | ) |

Gets the value of 'usmstatsunknownengineids' property.

Return values

  usmstatsunknownengineids | - The current value of the field. No of usm stats unknown engine ids long#

Code:
click to view
# Number of lines of code in get_usmstatsunknownengineids: 4
sub get_usmstatsunknownengineids {
my ($self, %args) = @_;
return $self->{'usmstatsunknownengineids'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_usmstatsunknownusernames | ( |  | ) |

Gets the value of 'usmstatsunknownusernames' property.

Return values

  usmstatsunknownusernames | - The current value of the field. No of usm stats unknown long#

Code:
click to view
# Number of lines of code in get_usmstatsunknownusernames: 4
sub get_usmstatsunknownusernames {
my ($self, %args) = @_;
return $self->{'usmstatsunknownusernames'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_usmstatswrongdigests | ( |  | ) |

Gets the value of 'usmstatswrongdigests' property.

Return values

  usmstatswrongdigests | - The current value of the field. No of wrogn digests long#

Code:
click to view
# Number of lines of code in get_usmstatswrongdigests: 4
sub get_usmstatswrongdigests {
my ($self, %args) = @_;
return $self->{'usmstatswrongdigests'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_worstresponsetime | ( |  | ) |

Gets the value of 'worstresponsetime' property.

Return values

  worstresponsetime | - The current value of the field. Response time String#

Code:
click to view
# Number of lines of code in get_worstresponsetime: 4
sub get_worstresponsetime {
my ($self, %args) = @_;
return $self->{'worstresponsetime'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::get_worstrtimelast | ( |  | ) |

Gets the value of 'worstrtimelast' property.

Return values

  worstrtimelast | - The current value of the field. Last updated time String#

Code:
click to view
# Number of lines of code in get_worstrtimelast: 4
sub get_worstrtimelast {
my ($self, %args) = @_;
return $self->{'worstrtimelast'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 68
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{sysuptime} = $args{'sysuptime'};
$self->{worstrtimelast} = $args{'worstrtimelast'};
$self->{avgresponsetime} = $args{'avgresponsetime'};
$self->{worstresponsetime} = $args{'worstresponsetime'};
$self->{inpkts} = $args{'inpkts'};
$self->{outpkts} = $args{'outpkts'};
$self->{usmstatsnotintimewindows} = $args{'usmstatsnotintimewindows'};
$self->{usmstatsunknownusernames} = $args{'usmstatsunknownusernames'};
$self->{usmstatsunknownengineids} = $args{'usmstatsunknownengineids'};
$self->{usmstatswrongdigests} = $args{'usmstatswrongdigests'};
$self->{usmstatsdecryptionerrors} = $args{'usmstatsdecryptionerrors'};
$self->{inbadversions} = $args{'inbadversions'};
$self->{inbadcommunitynames} = $args{'inbadcommunitynames'};
$self->{inbadcommunityuses} = $args{'inbadcommunityuses'};
$self->{inasnparseerrs} = $args{'inasnparseerrs'};
$self->{intoobigs} = $args{'intoobigs'};
$self->{innosuchnames} = $args{'innosuchnames'};
$self->{inbadvalues} = $args{'inbadvalues'};
$self->{ingenerrs} = $args{'ingenerrs'};
$self->{outtoobigs} = $args{'outtoobigs'};
$self->{outnosuchnames} = $args{'outnosuchnames'};
$self->{outbadvalues} = $args{'outbadvalues'};
$self->{outgenerrs} = $args{'outgenerrs'};
$self->{outtraps} = $args{'outtraps'};
$self->{silentdrops} = $args{'silentdrops'};
$self->{avgvarbinds} = $args{'avgvarbinds'};
$self->{maxvarbinds} = $args{'maxvarbinds'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.monitoring.snmp.SNMP_stats');
$self->set_binding_field('key' => 'sysuptime', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'worstrtimelast', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'avgresponsetime', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'worstresponsetime', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'inpkts', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'outpkts', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'usmstatsnotintimewindows', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'usmstatsunknownusernames', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'usmstatsunknownengineids', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'usmstatswrongdigests', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'usmstatsdecryptionerrors', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'inbadversions', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'inbadcommunitynames', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'inbadcommunityuses', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'inasnparseerrs', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'intoobigs', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'innosuchnames', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'inbadvalues', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'ingenerrs', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'outtoobigs', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'outnosuchnames', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'outbadvalues', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'outgenerrs', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'outtraps', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'silentdrops', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'avgvarbinds', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'maxvarbinds', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_avgresponsetime | ( |  | ) |

Sets the given value for 'avgresponsetime' property.

Parameters

  avgresponsetime | - New value for the field. Average response time

Code:
click to view
# Number of lines of code in set_avgresponsetime: 5
sub set_avgresponsetime {
my ($self, %args) = @_;
$self->{'avgresponsetime'} = $args{'avgresponsetime'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_avgvarbinds | ( |  | ) |

Sets the given value for 'avgvarbinds' property.

Parameters

  avgvarbinds | - New value for the field. No of ave:rage var binds

Code:
click to view
# Number of lines of code in set_avgvarbinds: 5
sub set_avgvarbinds {
my ($self, %args) = @_;
$self->{'avgvarbinds'} = $args{'avgvarbinds'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_inasnparseerrs | ( |  | ) |

Sets the given value for 'inasnparseerrs' property.

Parameters

  inasnparseerrs | - New value for the field. No of parse errors

Code:
click to view
# Number of lines of code in set_inasnparseerrs: 5
sub set_inasnparseerrs {
my ($self, %args) = @_;
$self->{'inasnparseerrs'} = $args{'inasnparseerrs'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_inbadcommunitynames | ( |  | ) |

Sets the given value for 'inbadcommunitynames' property.

Parameters

  inbadcommunitynames | - New value for the field. No of bad community names

Code:
click to view
# Number of lines of code in set_inbadcommunitynames: 5
sub set_inbadcommunitynames {
my ($self, %args) = @_;
$self->{'inbadcommunitynames'} = $args{'inbadcommunitynames'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_inbadcommunityuses | ( |  | ) |

Sets the given value for 'inbadcommunityuses' property.

Parameters

  inbadcommunityuses | - New value for the field. No of bad community uses

Code:
click to view
# Number of lines of code in set_inbadcommunityuses: 5
sub set_inbadcommunityuses {
my ($self, %args) = @_;
$self->{'inbadcommunityuses'} = $args{'inbadcommunityuses'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_inbadvalues | ( |  | ) |

Sets the given value for 'inbadvalues' property.

Parameters

  inbadvalues | - New value for the field. No of bad values

Code:
click to view
# Number of lines of code in set_inbadvalues: 5
sub set_inbadvalues {
my ($self, %args) = @_;
$self->{'inbadvalues'} = $args{'inbadvalues'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_inbadversions | ( |  | ) |

Sets the given value for 'inbadversions' property.

Parameters

  inbadversions | - New value for the field. No of bad versions

Code:
click to view
# Number of lines of code in set_inbadversions: 5
sub set_inbadversions {
my ($self, %args) = @_;
$self->{'inbadversions'} = $args{'inbadversions'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_ingenerrs | ( |  | ) |

Sets the given value for 'ingenerrs' property.

Parameters

  ingenerrs | - New value for the field. No of gen errors

Code:
click to view
# Number of lines of code in set_ingenerrs: 5
sub set_ingenerrs {
my ($self, %args) = @_;
$self->{'ingenerrs'} = $args{'ingenerrs'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_innosuchnames | ( |  | ) |

Sets the given value for 'innosuchnames' property.

Parameters

  innosuchnames | - New value for the field. No of no such names

Code:
click to view
# Number of lines of code in set_innosuchnames: 5
sub set_innosuchnames {
my ($self, %args) = @_;
$self->{'innosuchnames'} = $args{'innosuchnames'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_inpkts | ( |  | ) |

Sets the given value for 'inpkts' property.

Parameters

  inpkts | - New value for the field. No of input packets

Code:
click to view
# Number of lines of code in set_inpkts: 5
sub set_inpkts {
my ($self, %args) = @_;
$self->{'inpkts'} = $args{'inpkts'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_intoobigs | ( |  | ) |

Sets the given value for 'intoobigs' property.

Parameters

  intoobigs | - New value for the field. No of too bigs

Code:
click to view
# Number of lines of code in set_intoobigs: 5
sub set_intoobigs {
my ($self, %args) = @_;
$self->{'intoobigs'} = $args{'intoobigs'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_maxvarbinds | ( |  | ) |

Sets the given value for 'maxvarbinds' property.

Parameters

  maxvarbinds | - New value for the field. No of max var binds

Code:
click to view
# Number of lines of code in set_maxvarbinds: 5
sub set_maxvarbinds {
my ($self, %args) = @_;
$self->{'maxvarbinds'} = $args{'maxvarbinds'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_outbadvalues | ( |  | ) |

Sets the given value for 'outbadvalues' property.

Parameters

  outbadvalues | - New value for the field. No of bad values

Code:
click to view
# Number of lines of code in set_outbadvalues: 5
sub set_outbadvalues {
my ($self, %args) = @_;
$self->{'outbadvalues'} = $args{'outbadvalues'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_outgenerrs | ( |  | ) |

Sets the given value for 'outgenerrs' property.

Parameters

  outgenerrs | - New value for the field. No of gen errors

Code:
click to view
# Number of lines of code in set_outgenerrs: 5
sub set_outgenerrs {
my ($self, %args) = @_;
$self->{'outgenerrs'} = $args{'outgenerrs'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_outnosuchnames | ( |  | ) |

Sets the given value for 'outnosuchnames' property.

Parameters

  outnosuchnames | - New value for the field. No of no such names

Code:
click to view
# Number of lines of code in set_outnosuchnames: 5
sub set_outnosuchnames {
my ($self, %args) = @_;
$self->{'outnosuchnames'} = $args{'outnosuchnames'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_outpkts | ( |  | ) |

Sets the given value for 'outpkts' property.

Parameters

  outpkts | - New value for the field. No of output packets

Code:
click to view
# Number of lines of code in set_outpkts: 5
sub set_outpkts {
my ($self, %args) = @_;
$self->{'outpkts'} = $args{'outpkts'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_outtoobigs | ( |  | ) |

Sets the given value for 'outtoobigs' property.

Parameters

  outtoobigs | - New value for the field. No out output too bigs

Code:
click to view
# Number of lines of code in set_outtoobigs: 5
sub set_outtoobigs {
my ($self, %args) = @_;
$self->{'outtoobigs'} = $args{'outtoobigs'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_outtraps | ( |  | ) |

Sets the given value for 'outtraps' property.

Parameters

  outtraps | - New value for the field. No of output traps

Code:
click to view
# Number of lines of code in set_outtraps: 5
sub set_outtraps {
my ($self, %args) = @_;
$self->{'outtraps'} = $args{'outtraps'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_silentdrops | ( |  | ) |

Sets the given value for 'silentdrops' property.

Parameters

  silentdrops | - New value for the field. No of silent drops

Code:
click to view
# Number of lines of code in set_silentdrops: 5
sub set_silentdrops {
my ($self, %args) = @_;
$self->{'silentdrops'} = $args{'silentdrops'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_sysuptime | ( |  | ) |

Sets the given value for 'sysuptime' property.

Parameters

  sysuptime | - New value for the field. System uptime

Code:
click to view
# Number of lines of code in set_sysuptime: 5
sub set_sysuptime {
my ($self, %args) = @_;
$self->{'sysuptime'} = $args{'sysuptime'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_usmstatsdecryptionerrors | ( |  | ) |

Sets the given value for 'usmstatsdecryptionerrors' property.

Parameters

  usmstatsdecryptionerrors | - New value for the field. No. of decryption errors

Code:
click to view
# Number of lines of code in set_usmstatsdecryptionerrors: 5
sub set_usmstatsdecryptionerrors {
my ($self, %args) = @_;
$self->{'usmstatsdecryptionerrors'} = $args{'usmstatsdecryptionerrors'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_usmstatsnotintimewindows | ( |  | ) |

Sets the given value for 'usmstatsnotintimewindows' property.

Parameters

  usmstatsnotintimewindows | - New value for the field. No of stats not in time window

Code:
click to view
# Number of lines of code in set_usmstatsnotintimewindows: 5
sub set_usmstatsnotintimewindows {
my ($self, %args) = @_;
$self->{'usmstatsnotintimewindows'} = $args{'usmstatsnotintimewindows'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_usmstatsunknownengineids | ( |  | ) |

Sets the given value for 'usmstatsunknownengineids' property.

Parameters

  usmstatsunknownengineids | - New value for the field. No of usm stats unknown engine ids

Code:
click to view
# Number of lines of code in set_usmstatsunknownengineids: 5
sub set_usmstatsunknownengineids {
my ($self, %args) = @_;
$self->{'usmstatsunknownengineids'} = $args{'usmstatsunknownengineids'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_usmstatsunknownusernames | ( |  | ) |

Sets the given value for 'usmstatsunknownusernames' property.

Parameters

  usmstatsunknownusernames | - New value for the field. No of usm stats unknown

Code:
click to view
# Number of lines of code in set_usmstatsunknownusernames: 5
sub set_usmstatsunknownusernames {
my ($self, %args) = @_;
$self->{'usmstatsunknownusernames'} = $args{'usmstatsunknownusernames'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_usmstatswrongdigests | ( |  | ) |

Sets the given value for 'usmstatswrongdigests' property.

Parameters

  usmstatswrongdigests | - New value for the field. No of wrogn digests

Code:
click to view
# Number of lines of code in set_usmstatswrongdigests: 5
sub set_usmstatswrongdigests {
my ($self, %args) = @_;
$self->{'usmstatswrongdigests'} = $args{'usmstatswrongdigests'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_worstresponsetime | ( |  | ) |

Sets the given value for 'worstresponsetime' property.

Parameters

  worstresponsetime | - New value for the field. Response time

Code:
click to view
# Number of lines of code in set_worstresponsetime: 5
sub set_worstresponsetime {
my ($self, %args) = @_;
$self->{'worstresponsetime'} = $args{'worstresponsetime'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats::set_worstrtimelast | ( |  | ) |

Sets the given value for 'worstrtimelast' property.

Parameters

  worstrtimelast | - New value for the field. Last updated time

Code:
click to view
# Number of lines of code in set_worstrtimelast: 5
sub set_worstrtimelast {
my ($self, %args) = @_;
$self->{'worstrtimelast'} = $args{'worstrtimelast'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Monitoring/Snmp.pm